SyncMutex::lock
SyncSemaphore
SyncMutex
PHP Manual

# SyncMutex::unlock

(PECL sync >= 1.0.0)

SyncMutex::unlock — Unlocks the mutex

### Description

public bool SyncMutex::unlock ([ bool `$all` ] )

Decreases the internal counter of a SyncMutex object. When the internal counter reaches zero, the actual lock on the object is released.

### Parameters

`all`

  Specifies whether or not to set the internal counter to zero and therefore release the lock.

### Return Values

A boolean of TRUE if the unlock operation was successful, FALSE otherwise.

### Examples

Example #1 SyncMutex::unlock() example

`<?php
$mutex = new SyncMutex("UniqueName");
$mutex->lock();
/* ... */
$mutex->unlock();
?>`

### See Also

- SyncMutex::lock() - Waits for an exclusive lock

SyncMutex::lock
SyncSemaphore
SyncMutex
PHP Manual